# AbstractGUISpaceCompound

abstract class AbstractGUISpaceCompound<T : ForInventory, E>
Content copied to clipboard

## Functions

addContent
Link copied to clipboard
fun addContent(element: E)
Content copied to clipboard
Adds a new element to the compound.
fun addContent(elements: Iterable<E>)
Content copied to clipboard
Adds new elements to the compound.
equals
Link copied to clipboard
open operator fun equals(other: Any?): Boolean
Content copied to clipboard
hashCode
Link copied to clipboard
open fun hashCode(): Int
Content copied to clipboard
removeContent
Link copied to clipboard
fun removeContent(element: E)
Content copied to clipboard
Removes this element from the compound.
fun removeContent(elements: Iterable<E>)
Content copied to clipboard
Removes these elements from the compound.
setContent
Link copied to clipboard
fun setContent(element: E)
Content copied to clipboard
Set the content of the compound to this single element.
fun setContent(elements: Iterable<E>)
Content copied to clipboard
Set the content of the compound to these elements.
sortContentBy
Link copied to clipboard
fun <R : Comparable<R>> sortContentBy(reverse: Boolean = false, selector: (E) -> R?)
Content copied to clipboard
Defines the sort behaviour which gets applied to the content automatically.
toString
Link copied to clipboard
open fun toString(): String
Content copied to clipboard

## Properties

guiType
Link copied to clipboard
val guiType: GUIType<T>
Content copied to clipboard

## Inheritors

GUIRectSpaceCompound
Link copied to clipboard
GUISpaceCompound
Link copied to clipboard